Involved Parties
Involved parties represent additional contacts or relationships linked to an Activity, beyond the primary relationship and contact.
Endpoints
List
GET
/v1/odata/InvolvedGet by ID
GET
/v1/odata/Involved({id})Create
POST
/v1/odata/InvolvedUpdate
PUT
/v1/odata/Involved({id})Delete
DELETE
/v1/odata/Involved({id})Fields
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Description | String | Description / notes |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Activity | Activity | N:1 | Parent activity |
| Role | Datastore.InvolvedRole | N:1 | Role of the involved party |
| Relationship | Relationship | N:1 | Involved relationship |
| Contact | Relationship.Person.Contact | N:1 | Involved contact |
| Picture | File | N:1 | Profile picture |
Expanding Relationships
GET
/v1/odata/Involved({id})?$expand=ActivityNavigating Relationships
GET
/v1/odata/Involved({id})/Activity